##############################################################
#
#
# Copyright 2021-2024: all rights reserved
#
# Author: Dr Giorgio Pioda
# email: giorgio,pioda@spse.ch, giorgio.pioda@edu.ti.ch, gfwp@ticino.com
#
# 
#############################################################


defcomp100st2vs2equiE2.r <- read_csv("defcomp100st2vs2equiE2.csv")

source("./h_null.R")
source("./euler_slope_Equi.R")

#source("./rg2-fkt-v2.R")

p.plotcompleto(defcomp100st2vs2equiE2.r,"slope","d.tot",sigma.st = 0.03,main="Two digits (2x2) precision, 3 - 8 short range data set, 250 randomizations/point",lty=1,pch=1)
p.plotcompleto(defcomp100st2vs2equiE2.r,"slope","pa.tot",pch=16,add=T,col="blue",sigma.st = 0.03,lty=4)
p.plotcompleto(defcomp100st2vs2equiE2.r,"slope","pf.tot",pch=17,add=T,col="blue",sigma.st = 0.03,lty=2)

p.plotcompleto(defcomp100st2vs2equiE2.r,"slope","po.tot",pch=3,add=T,col="purple",sigma.st = 0.03,lty=1)

#p.plotcompleto(defcomp100st2vs2.r,"slope","mmcd.e100",pch=5,add=T,sigma.st = 0.02,col="red",lty=2)
#p.plotcompleto(defcomp100st2vs2.r,"slope","dmcd.e100",pch=2,sigma.st = 0.03,add=T,col="red",lty=1)

abline(v=1,lty=2)

legend("topright",legend=c("Dem - bootstrapped BCa CI5%",
                           "PBequi - anal. CI5%",
                           "PBequi - anal. methodlarge=F CI5%",
                           "PaBa - anal. CI5%"
                            ),
       title="Methods",
       pch=c(1,16,17,3),
       col=c("black","blue","blue","purple"),
       text.col = c("black","blue","blue","purple"),
       lty=c(1,4,2,1)
)
